Bug 388633 - Distribution logo looks pixelated when I change display scale
Summary: Distribution logo looks pixelated when I change display scale
Status: RESOLVED FIXED
Alias: None
Product: kinfocenter
Classification: Applications
Component: Info (show other bugs)
Version: 5.11.5
Platform: Archlinux Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: David Hubner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-06 22:14 UTC by Patrick Silva
Modified: 2018-04-05 08:48 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Logo with rendering artifacts in HiDPI mode (115.54 KB, image/png)
2018-01-06 23:35 UTC, Nate Graham
Details
Arch logo pixelated in kinfocenter 5.12.3 (119.83 KB, image/png)
2018-03-10 20:11 UTC, Patrick Silva
Details
Arch logo shown by PhotoQt viewer (97.77 KB, image/png)
2018-03-11 02:55 UTC, Patrick Silva
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Patrick Silva 2018-01-06 22:14:20 UTC
Reported in Arch Linux tracker
https://bugs.archlinux.org/task/56971

But the problem is kinfocenter itself.
Comment 1 Nate Graham 2018-01-06 23:35:23 UTC
Created attachment 109714 [details]
Logo with rendering artifacts in HiDPI mode
Comment 2 Nate Graham 2018-01-06 23:35:55 UTC
Looks like the same thing we see in Discover: https://bugs.kde.org/show_bug.cgi?id=388253
Comment 3 Nate Graham 2018-02-06 23:28:24 UTC
Turns out this is just what it looks when Qt tries to scale up a too-small image. Talk to the Arch folks and ask them to provide a larger image!
Comment 4 Patrick Silva 2018-02-06 23:36:40 UTC
from my report in Arch tracker
"Not a packaging issue, we provide a SVG logo and the same happens with the Plasma logo if you remove ours."
Comment 5 Christoph Feck 2018-02-07 00:09:09 UTC
Maybe KInfoCenter needs to set AA_EnableHighDpiScaling?
Comment 6 Nate Graham 2018-02-07 01:55:41 UTC
Mm, could be.
Comment 7 Nate Graham 2018-02-07 05:20:13 UTC
Thanks for the clue, Christoph. That was part of it! The pixmap itself also had to be adjusted for the screen DPI. Here's a patch: https://phabricator.kde.org/D10357

Thanks for your persistence on this, Dr. Chapatin.

Also, you might ask the Arch folks to provide a more square logo for KInfoCenter so the window doesn't have to be a zillion pixels wide to accommodate it!
Comment 8 Nate Graham 2018-02-07 14:08:53 UTC
Git commit 82e64226c2e628aab2afdcefdadf0246a59f1b71 by Nathaniel Graham.
Committed on 07/02/2018 at 14:08.
Pushed by ngraham into branch 'Plasma/5.12'.

Show high-resolution and vector logos properly in HighDPI mode

Summary:

Take the device pixel ratio into consideration when rendering the logo, so it looks nice in HighDPI mode.

Test Plan:
Tested in NDE Neon with the standard Plasma logo, which is an SVG.

Before:

After:

Reviewers: #plasma

Subscribers: cfeck, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D10357

M  +1    -0    main.cpp

https://commits.kde.org/kinfocenter/82e64226c2e628aab2afdcefdadf0246a59f1b71
Comment 9 Nate Graham 2018-02-07 14:09:31 UTC
Git commit fdd2fc881157c21fd8a7eb3b8b5b0867b3f24c4e by Nathaniel Graham.
Committed on 07/02/2018 at 14:02.
Pushed by ngraham into branch 'master'.

Show high-resolution and vector logos properly in HighDPI mode

Summary:

Take the device pixel ratio into consideration when rendering the logo, so it looks nice in HighDPI mode.

Test Plan:
Tested in NDE Neon with the standard Plasma logo, which is an SVG.

Before:

After:

Reviewers: #plasma

Subscribers: cfeck, plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D10357

M  +1    -0    main.cpp

https://commits.kde.org/kinfocenter/fdd2fc881157c21fd8a7eb3b8b5b0867b3f24c4e
Comment 10 Patrick Silva 2018-03-10 20:11:09 UTC
Created attachment 111300 [details]
Arch logo pixelated in kinfocenter 5.12.3

Phabricator link says "FIXED-IN 5.12.1".
However Arch logo is still pixelated in kinfocenter 5.12.3.
See screenshot.
Comment 11 Nate Graham 2018-03-10 21:49:04 UTC
`grep LogoPath /etc/xdg/kcm-about-distrorc` should print out a path. Can you open up the image at that path and verify that it's actually a scalable SVG image or a HiDPI raster image?
Comment 12 Patrick Silva 2018-03-11 02:55:03 UTC
Created attachment 111311 [details]
Arch logo shown by PhotoQt viewer
Comment 13 Antonio Rojas 2018-03-11 10:16:32 UTC
(In reply to Dr. Chapatin from comment #10)
> Created attachment 111300 [details]
> Arch logo pixelated in kinfocenter 5.12.3
> 
> Phabricator link says "FIXED-IN 5.12.1".
> However Arch logo is still pixelated in kinfocenter 5.12.3.
> See screenshot.

Looks alright here. Tried deleting the cache?
Comment 14 Patrick Silva 2018-03-11 13:31:04 UTC
Hi Antonio
How can I delete the cache?
Comment 15 Antonio Rojas 2018-03-13 07:19:17 UTC
(In reply to Dr. Chapatin from comment #14)
> Hi Antonio
> How can I delete the cache?

rm -r ~/.cache/kinfocenter/qmlcache/
Comment 16 Patrick Silva 2018-03-13 15:28:13 UTC
(In reply to Antonio Rojas from comment #15)
> (In reply to Dr. Chapatin from comment #14)
> > Hi Antonio
> > How can I delete the cache?
> 
> rm -r ~/.cache/kinfocenter/qmlcache/

Thanks.
However ~/.cache/kinfocenter/qmlcache/ is not available on my system.